package cn.com.tenlion.configcontent.pojo.pos.contentcomment;

/**
 *
 * @ClassName: ContentCommentPO
 * @Description: CBC内容管理评论记录表
 * @Author: CodeFactory
 * @Date: 2021-08-02 09:31:18
 * @Version: 3.0
 **/
public class ContentCommentPO {

    private String contentCommentId;
    private String businessId;
    private Integer contentCommentDislike;
    private Integer contentCommentLike;
    private String contentCommentContent;
    private String contentCommentContentFile;
    private String contentCommentParentId;
    private String contentCommentUserName;
    private String contentCommentUserIcon;
    private String contentCommentStatus;
    private String contentCommentRemark;
    private String contentCommentViolation;
    private String contentCommentIp;
    private String contentCommentAddress;
    private String contentCommentDevice;
    private Double contentCommentLongitude;
    private Double contentCommentLatitude;
    private String creator;
    private String gmtCreate;
    private String modifier;
    private String gmtModified;
    private Integer isDelete;

    public String getContentCommentId() {
        return contentCommentId == null ? "" : contentCommentId.trim();
    }

    public void setContentCommentId(String contentCommentId) {
        this.contentCommentId = contentCommentId;
    }

    public String getBusinessId() {
        return businessId == null ? "" : businessId.trim();
    }

    public void setBusinessId(String businessId) {
        this.businessId = businessId;
    }

    public Integer getContentCommentDislike() {
        return contentCommentDislike == null ? 0 : contentCommentDislike;
    }

    public void setContentCommentDislike(Integer contentCommentDislike) {
        this.contentCommentDislike = contentCommentDislike;
    }

    public Integer getContentCommentLike() {
        return contentCommentLike == null ? 0 : contentCommentLike;
    }

    public void setContentCommentLike(Integer contentCommentLike) {
        this.contentCommentLike = contentCommentLike;
    }

    public String getContentCommentContent() {
        return contentCommentContent == null ? "" : contentCommentContent.trim();
    }

    public void setContentCommentContent(String contentCommentContent) {
        this.contentCommentContent = contentCommentContent;
    }

    public String getContentCommentContentFile() {
        return contentCommentContentFile == null ? "" : contentCommentContentFile.trim();
    }

    public void setContentCommentContentFile(String contentCommentContentFile) {
        this.contentCommentContentFile = contentCommentContentFile;
    }

    public String getContentCommentParentId() {
        return contentCommentParentId == null ? "" : contentCommentParentId.trim();
    }

    public void setContentCommentParentId(String contentCommentParentId) {
        this.contentCommentParentId = contentCommentParentId;
    }

    public String getContentCommentUserName() {
        return contentCommentUserName == null ? "" : contentCommentUserName.trim();
    }

    public void setContentCommentUserName(String contentCommentUserName) {
        this.contentCommentUserName = contentCommentUserName;
    }

    public String getContentCommentUserIcon() {
        return contentCommentUserIcon == null ? "" : contentCommentUserIcon.trim();
    }

    public void setContentCommentUserIcon(String contentCommentUserIcon) {
        this.contentCommentUserIcon = contentCommentUserIcon;
    }

    public String getContentCommentStatus() {
        return contentCommentStatus == null ? "" : contentCommentStatus.trim();
    }

    public void setContentCommentStatus(String contentCommentStatus) {
        this.contentCommentStatus = contentCommentStatus;
    }

    public String getContentCommentRemark() {
        return contentCommentRemark == null ? "" : contentCommentRemark.trim();
    }

    public void setContentCommentRemark(String contentCommentRemark) {
        this.contentCommentRemark = contentCommentRemark;
    }

    public String getContentCommentViolation() {
        return contentCommentViolation == null ? "" : contentCommentViolation.trim();
    }

    public void setContentCommentViolation(String contentCommentViolation) {
        this.contentCommentViolation = contentCommentViolation;
    }

    public String getContentCommentIp() {
        return contentCommentIp == null ? "" : contentCommentIp.trim();
    }

    public void setContentCommentIp(String contentCommentIp) {
        this.contentCommentIp = contentCommentIp;
    }

    public String getContentCommentAddress() {
        return contentCommentAddress == null ? "" : contentCommentAddress.trim();
    }

    public void setContentCommentAddress(String contentCommentAddress) {
        this.contentCommentAddress = contentCommentAddress;
    }

    public String getContentCommentDevice() {
        return contentCommentDevice == null ? "" : contentCommentDevice.trim();
    }

    public void setContentCommentDevice(String contentCommentDevice) {
        this.contentCommentDevice = contentCommentDevice;
    }

    public Double getContentCommentLongitude() {
        return contentCommentLongitude == null ? 0D : contentCommentLongitude;
    }

    public void setContentCommentLongitude(Double contentCommentLongitude) {
        this.contentCommentLongitude = contentCommentLongitude;
    }

    public Double getContentCommentLatitude() {
        return contentCommentLatitude == null ? 0D : contentCommentLatitude;
    }

    public void setContentCommentLatitude(Double contentCommentLatitude) {
        this.contentCommentLatitude = contentCommentLatitude;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }


}
